package com.muyu.common.core.validation;

import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * 是否支付渠道的校验器
 */
public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType, String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(value);
    }
}
